Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventChannelAdmin::ProxyPushSupplier Interface Reference

Interface used by push-style consumers. More...

`import "CosEventChannelAdmin.idl";`

Inheritance diagram for CosEventChannelAdmin::ProxyPushSupplier:

[legend]
Collaboration diagram for CosEventChannelAdmin::ProxyPushSupplier:

[legend]
List of all members.

## Public Methods
void | connect_push_consumer (in CosEventComm::PushConsumer push_consumer) raises (AlreadyConnected, TypeError)
| Connect a push-style consumer to the Event Service.

## Detailed Description

Interface used by push-style consumers.

Push-style consumers used this interface to connect and disconnect from the Event Service.

The disconnect_push_supplier() operation, derived from the CosEventEventComm::PushSupplier interface, is used to disconnect the ProxyPushSupplier and reclaim all resources attached to it from the Event Service.

## Member Function Documentation

void CosEventChannelAdmin::ProxyPushSupplier::connect_push_consumer | ( | in CosEventComm::PushConsumer | push_consumer | ) | raises (AlreadyConnected, TypeError)

  | Connect a push-style consumer to the Event Service. The following operation must be invoked before the Event Service can deliver any events to the consumer. Parameters:
  push_consumer | The consumer, must be non-nil.
  Exceptions:
  CORBA::BAD_PARAM | if the consumer argument is nil.
  AlreadyConnected | if the operation is called a second time.
  TypeError | In Typed Event Services if the consumer does not match the expected type.

The documentation for this interface was generated from the following file:

- CosEventChannelAdmin.idl